%define name	texinfo
%define version	4.8
%define release	%mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Tools needed to create Texinfo format documentation files
License:	GPL
Group:		Publishing
URL:		http://www.texinfo.org
Source0:	ftp://ftp.gnu.org/pub/gnu/texinfo/%name-%version.tar.bz2
Source1:	info-dir.bz2
Patch1:		texinfo-3.12h-fix.patch.bz2
Patch2:		texinfo-4.7.test.patch.bz2
Patch107:	texinfo-4.7-vikeys-segfault-fix.patch.bz2
Requires:	tetex
BuildRequires:	ncurses-devel
BuildRequires:	zlib-devel
Buildroot:	%_tmppath/%name-%version-root
Requires(pre): info-install
Requires(preun): info-install

%description
Texinfo is a documentation system that can produce both online information
and printed output from a single source file.  Normally, you'd have to
write two separate documents: one for online help or other online
information and the other for a typeset manual or other printed work.
Using Texinfo, you only need to write one source document.  Then when the
work needs revision, you only have to revise one source document.  The GNU
Project uses the Texinfo file format for most of its documentation.

Install texinfo if you want a documentation system for producing both
online and print documentation from the same source file and/or if you are
going to write documentation for the GNU Project.

%package -n info
Summary: A stand-alone TTY-based reader for GNU texinfo documentation
Group: System/Base
Requires(pre): info-install
Requires(preun): info-install

%description -n info
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based browser
program for viewing texinfo files.

You should install info, because GNU's texinfo documentation is a valuable
source of information about the software on your system.

%package -n info-install
Summary: Program to update the GNU texinfo documentation main page
Group: System/Base
Requires: bzip2

%description -n info-install
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based browser
program for viewing texinfo files.

%prep
%setup -q
%patch1 -p1
%patch2
%patch107 -p1

%build
%configure2_5x
%make 
rm -f util/install-info
make -C util LIBS=%{_libdir}/libz.a
# all tests must pass
make check

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,sbin}

%makeinstall
pushd $RPM_BUILD_ROOT
  bzcat %SOURCE1 > .%_sysconfdir/info-dir
  ln -sf ../../../etc/info-dir $RPM_BUILD_ROOT%_infodir/dir
  mv -f .%_bindir/install-info ./sbin
  mkdir -p .%_sysconfdir/X11/wmconfig
popd

%{find_lang} %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %name

%preun
%_remove_install_info %name

%post -n info
%_install_info info.info

%preun -n info
%_remove_install_info info.info

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL INTRODUCTION NEWS README TODO
%doc --parents info/README
%_bindir/makeinfo
%_bindir/texindex
%_bindir/texi2dvi
%_bindir/texi2pdf
%_infodir/info-stnd.info*
%_infodir/texinfo*
%_mandir/man1/makeinfo.1*
%_mandir/man1/texindex.1*
%_mandir/man1/texi2dvi.1*                         
%_mandir/man5/texinfo.5*   
%_datadir/texinfo

%files -n info
%defattr(-,root,root)
%_bindir/info
%_infodir/info.info*
%_bindir/infokey

%files -n info-install
%defattr(-,root,root)
%config(noreplace) %attr(644,root,root) %_sysconfdir/info-dir
%_infodir/dir
/sbin/install-info
%_mandir/man1/info.1*
%_mandir/man1/infokey.1*
%_mandir/man1/install-info.1*
%_mandir/man5/info.5*

%changelog
* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.8-4mdv2007.0
- Rebuild

* Wed Jun 14 2006 David Walluck <walluck@mandriva.org> 4.8-3mdv2007.0
- Requires: tetex

* Thu Oct 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 4.8-2mdk
- fix prereq (#17420)

* Thu Feb 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.8-1mdk
- new release
- kill patch 109 (merged upstream)

* Wed Dec 15 2004 Guillaume Rousse <guillomovitch@zarb.org> 4.7-3mdk
- make test robust against environment locales
- spec cleanup

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.7-2mdk
- patch 109: fix macros support in texinfo so that groff documentation works

* Thu Jul 01 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.7-1mdk
- Release: 4.7.
- Rebuilt Patch107.

* Wed Jul 16 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.6-1mdk
- new release

* Mon Jun 17 2003 Stefan van der Eijk <stefan@eijk.nu> 4.5-2mdk
- BuildRequires

* Fri Apr 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5-1mdk
- new release

* Fri Jan 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.3-3mdk
- build release

* Tue Nov 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.3-2mdk
- fix url (as usual, spotted by yura gusev)

* Mon Nov 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.3-1mdk
- new release
- fix build for new rpm

* Thu Oct 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.2c-1mdk
- new release (fix crash w/ MALLOC_CHECK_ == 2)
- remove patches 2, 103, 106 and 108 (merged upstream)
- don't overwrite README with info/README

* Mon Jul  8 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2-5mdk
- Costlessly make check in %%build stage

* Fri May 31 2002 Stefan van der Eijk <stefan@eijk.nu> 4.2-4mdk
- BuildRequires

* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2-3mdk
- Automated rebuild in gcc3.1 environment

* Wed Apr 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.2-2mdk
- remove patch104 that chmouel steal from rh: this danish translation
  is util-linux messages translation, not texinfo one :-(

* Wed Apr 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.2-1mdk
- new release
- remove ru patch merged upstream

* Wed Apr 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.1-3mdk
- remove patches 3 and 102 which cancel themselves
- clean spec

* Thu Apr 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.1-2mdk
- recode russian po from windows-1251 to koi8-r [Patch105]
- reverse h<->l in vikeys [Patch106]
- fix "info --vi-keys libc:exit" segfault [Patch107]
- fix thinko in makeinfo/insertion.c comment [Patch108]

* Tue Mar 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.1-1mdk
- new release
- add missing man pages

* Thu Nov  1 2001 dam's <damien@mandrakesoft.com> 4.0-22mdk
- added URL tag.

* Mon Aug 13 2001 dam's <damien@mandrakesoft.com> 4.0-21mdk
- rebuilt, spec cprrected

* Sun Mar 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-20mdk
- danish translation added (rh).
- Fix recognition of .?o extensions in texi2dvi (rh).
- Fix info-dir symlink (rh).
- Recompile again the last ncurses.

* Fri Nov 24 2000 dam's <damien@mandrakesoft.com> 4.0-19mdk
- corrected config tag for _infodir/dir

* Fri Sep  1 2000 Pixel <pixel@mandrakesoft.com> 4.0-18mdk
- don't require gzip (which prereq install-info) in info-install (but bzip2, the
important one)

* Fri Sep  1 2000 Pixel <pixel@mandrakesoft.com> 4.0-17mdk
- info-install requires bzip2 and gzip

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 4.0-16mdk
- Correct install script

* Thu Aug 10 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 4.0-15mdk
- use more macros, add no replace to make rpmlint happy

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-14mdk
- automatically added BuildRequires


* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.0-13mdk
- fix broken link (Anton Graham)

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.0-12mdk
- build release for BM
- use new macros

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 4.0-11mdk
- built for 7.1 (new group structure)
- relocate the info-tty package.

* Thu Mar 23 2000 Pixel <pixel@mandrakesoft.com> 4.0-10mdk
- add info prerequires install-info (because some packages have trigger on package "info")

* Sat Mar  4 2000 Pixel <pixel@mandrakesoft.com> 4.0-9mdk
- add info requires install-info (because some packages have trigger on package "info")

* Fri Mar  3 2000 Pixel <pixel@mandrakesoft.com> 4.0-8mdk
- have /sbin/install-info in its own package (for prereq pb at install)

* Wed Dec  1 1999 Pixel <pixel@linux-mandrake.com>
- removed the glibc prereq for info

* Mon Nov 15 1999 Pixel <pixel@mandrakesoft.com>
- changed the deps. Forced info (and so install-info) to not depends on gpm :(
- unremoved gpm as it can't be done

* Wed Nov  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Wed Sep 28 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 4.0

* Mon Aug 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Increase release (oups).

* Sun Aug 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Made a patch for install-info.c to handle bzip2 (where the old patch is gone ?)

* Tue Aug 17 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 3.12q
- rewrite zlib patch (incompatibility with 3.12q)

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Updated to 3.12n
- Add french description


* Tue Jul  6 1999 Axalon Bloodstone <axalon@linux-mandrake.com>

- info Provides install-info and now knows so.

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 3.12h.
- Upgrading patch.

* Thu Apr 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch to handle bzip2 and other compresion on install-info.
- Making dependence explicitly from bzip2.

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch from RedHat 6.0.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- fix handling of RPM_OPT_FLAGS

* Thu Mar 11 1999 Cristian Gafton <gafton@redhat.com>
- version 3.12f
- make %{_infodir}/dir to be a %config(noreplace)

* Wed Nov 25 1998 Jeff Johnson <jbj@redhat.com>
- rebuild to fix docdir perms.

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- fix allocation problems in install-info

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- /sbin/install-info should not depend on %{_libdir}/libz.so.1 -- statically
  link with %{_libdir}/libz.a.

* Fri Aug 07 1998 Erik Troan <ewt@redhat.com>
- added a prereq of bash to the info package -- see the comment for a
  description of why that was done

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Tue Jun  9 1998 Jeff Johnson <jbj@redhat.com>
- add %attr to permit non-root build.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Apr 12 1998 Cristian Gafton <gafton@redhat.com>
- added %clean
- manhattan build

* Wed Mar 04 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 3.12
- added buildroot

* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>
- moved %{_infodir}/dir to /etc/info-dir and made %{_infodir}/dir a
  symlink to /etc/info-dir.

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry for info

* Wed Oct 01 1997 Donnie Barnes <djb@redhat.com>
- stripped /sbin/install-info

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- added info-dir to filelist

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- added patch from sopwith to let install-info understand gzip'ed info files
- use skeletal dir file from texinfo tarball (w/ bash entry to reduce
  dependency chain) instead (and install-info command everywhere else)
- patches install-info to handle .gz names correctly

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Feb 25 1997 Erik Troan <ewt@redhat.com>
- patched install-info.c for glibc.
- added %{_bindir}/install-info to the filelist

* Tue Feb 18 1997 Michael Fulbright <msf@redhat.com>
- upgraded to version 3.9.
